Bug 1361998 (CVE-2016-5250) - CVE-2016-5250 Mozilla: Resource Timing API is storing resources sent by the previous page (MFSA 2016-84, MFSA 2016-86)
Summary: CVE-2016-5250 Mozilla: Resource Timing API is storing resources sent by the p...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5250
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160920,repor...
Depends On:
Blocks: 1360577 1369653
TreeView+ depends on / blocked
 
Reported: 2016-08-01 06:46 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 21:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 05:35:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1912 normal SHIPPED_LIVE Critical: firefox security update 2016-09-21 11:47:31 UTC

Description Huzaifa S. Sidhpurwala 2016-08-01 06:46:38 UTC
Amazon software engineer Catalin Dumitru reported that the URLs of resources loaded after a navigation started (such as in an unload event handler) were leaked to the following page through the Resource Timing API. This leads to potential information disclosure. 


External Reference:

https://www.mozilla.org/security/advisories/mfsa2016-84/
https://www.mozilla.org/security/advisories/mfsa2016-86/


Acknowledgements:

Name: the Mozilla project
Upstream: Catalin Dumitru

Comment 1 errata-xmlrpc 2016-09-21 07:49:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2016:1912 https://rhn.redhat.com/errata/RHSA-2016-1912.html


Note You need to log in before you can comment on or make changes to this bug.